Bug 59141 - Linux system with mylex card can not boot DOS anymore
Linux system with mylex card can not boot DOS anymore
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: util-linux (Show other bugs)
7.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-31 13:26 EST by Need Real Name
Modified: 2007-04-18 12:39 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-11 14:21:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-01-31 13:26:46 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; Q312461)

Description of problem:
I am reporting this problem against the filesystem component having not found 
a "fdisk" component to report against. Please redirect this bug if necessary.

I am installing RH Linux 7.2 on a server with a mylex card. (I have reproduced 
the problem with an AcceleRAID 250 and an AcceleRAID 160 card)
The server has a maintenance partition, which is really a 10MB DOS-bootable FAT 
partition which ID has been changed to 12 (hex). The purpose of this 
maintenance partition is to provide hardware diagnostic tools and other 
utilities.
RedHat is then installed on the machine with a 4GB root ( / ) partition and a 
300MB swap partition (located in the extended partition).
Once RedHat is installed, the server can not boot DOS in the maintenance 
partition. Booting a DOS-bootable floppy proves impossible as well.
Within RedHat, if I delete the swap and extended partitions, I can then boot 
from the maintenance partition (or from a DOS-bootable floppy), suggesting that 
DOS was getting disturbed by something in the partition tables.

If I remove the mylex card from the server and use the onboard adaptec 
controller to control the system disk, I have no problems. Same disk, same 
partitionning scheme, no problem (I was also using the same disk in RAID 7 on 
the mylex card).

The same configuration does not give any problem under RedHat 7.1 or 7.0. (but 
the root filesystem is formatted with ext2 instead of ext3)

Finally, fdisk does behave so well when I play with the partitions. It keeps 
complaining about the differences between physical and logical boundaries of 
partitions. And (re)creating the extended and swap partitions proves to be a 
challenge:
If I use fdisk /dev/rd/c0d0
I can only create one big logical partition within the extended.
I have to use fdisk -u /dev/rd/c0d0 to be able to specify a size to a logical 
partition. 

I have used a 9GB and a 36GB disk and seen the same results. I use the mylex 
cards with the 8GB-bios translation enabled.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Use a system configured with a mylex board.
2. Create a 10MB DOS partition.
3. Install RedHat with 4GB root, 300MB swap
4. try to reboot from a DOS-bootable floppy and see it hanging.
	

Actual Results:  Booting from DOS hangs.

Expected Results:  Booting from DOS should work.

Additional info:
Comment 1 Bill Nottingham 2002-01-31 14:07:12 EST
fdisk is part of util-linux.
Comment 2 Need Real Name 2002-02-15 15:40:15 EST
So actually, this is not how you would reproduce the problem.
To reproduce create a 10MB DOS formatted partition.
During install, chose disk druid to partition the disk and chose a 4GB root, 
300MB swap.
then once linux installed, log on and launch fdisk /dev/rd/c0d0 and create an 
extended partition.
Reboot and see that DOS does not boot any longer.

After more investigation, it seems that the problem resides with the ability of 
fdisk to get the correct disk geometry.
If I launch sfdisk, it will report to me that my disk has a C H S geometry of 
4425/255/63. If I force these settings on fdisk (mode expert and then c h s), I 
can then properly create an extended partition and fdisk does not complain 
about differences between physical and logical boudaries anymore.
Comment 3 Elliot Lee 2002-03-08 14:18:08 EST
What geometry is fdisk incorrectly retrieving?

Also, it would be very helpful if you could test against the packages under
ftp://people.redhat.com/sopwith/2.11n-6/

Thanks
Comment 4 Need Real Name 2002-03-08 14:41:45 EST
fdisk shows a geometry of 1 cylinder, 1 head and millions of sectors.

I will try these packages when I get the chance. Thanks.
Comment 5 Need Real Name 2002-03-11 14:21:34 EST
Tested package util-linux-2.11n-6.i386.rpm dowloaded from 
ftp://people.redhat.com/sopwith/2.11n-6/ .
fdisk now sees the correct geometry.

Can close this problem report as far as I am concerned. (I let you close the 
problem as I do not know what resolution I should select.)
Comment 6 Elliot Lee 2002-03-11 14:30:17 EST
Thanks!

Note You need to log in before you can comment on or make changes to this bug.